<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>团购-发起团购在线报名-{#YXShopRivetTag*网站名称#}-{#YXShopRivetTag*网站标题#}</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta content="{#YXShopRivetTag*网站关键字#}" name="keywords" />
    <meta content="{#YXShopRivetTag*网站描述#}" name="description" />
    <link href="{#YXShopRivetTag*网站虚拟路径#}favicon.ico" rel="shortcut icon" />
    <link href="{#YXShopRivetTag*网站虚拟路径#}templates/yxshop_template/green/css/yxshop_main.css" type="text/css" rel="stylesheet" />
    <link href="{#YXShopRivetTag*网站虚拟路径#}templates/yxshop_template/green/css/yxshop_head.css" type="text/css" rel="stylesheet" />
    <script src="{#YXShopRivetTag*网站虚拟路径#}scripts/prototype.js" type="text/javascript"></script>
    <style type="text/css">
        form{margin:0;padding:0;}
        .form0{ width:960px;}
        .form0 li{ list-style:none; list-style-position:inside; padding:0; margin:10px 0 0 0; width:100%}
        .zs{width:980px}
        .form1 {width:100%; margin: 0 auto; text-indent:30px; padding-bottom:10px; padding-top:10px; height:auto; border-bottom:#D1E8A2 solid 1px; font-size:12px}
        .form4-1 { float:left; width:48%; text-align:left; padding-top:16px;}
        .form2-1 { float:left; width:90%; text-align:left; padding-top:18px;}
        .tj { float:left; width:90%; text-align:center;}
        .tj img { border:0;}
        .form1 li{width:auto; margin-top:10px; float:left}
        .re_right{color:#666}
    </style>
     <script language="javascript" type="text/javascript">
    function onName()
    {
        if($("txtName").value=="")
	    {
	       $("spanName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入真实姓名！";
	       $("spanName").style.color="#000000";
	       return false;
	    }
	    else if($("txtName").value.length<2||$("txtName").value.length>8)
	    {
	        $("spanName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，输入的真实姓名字符必须在2至8个之间！";
	       $("spanName").style.color="#000000";
	       return false;
	    }
	    else
	    {
	        $("spanName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
	        return true;
	    }
    }
    function onTel()
    {
        if($("txtTel").value=="")
	    {
	       $("spanTel").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入联系电话！";
	       $("spanTel").style.color="#000000";
	       return false;
	    }
	    else
	    {
	        $("spanTel").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
	        return true;
	    }
    }
    function onQQ()
    {
        if($("txtQQ").value=="")
	    {
	       $("spanQQ").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入联系QQ/MSN！";
	       $("spanQQ").style.color="#000000";
	       return false;
	    }
	    else
	    {
	        $("spanQQ").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
	        return true;
	    }
    }
    
    function onSignUp()
    {
        //非负整数
        var reg =/^\d+$/;
        if($("txtSignUp").value=="")
	    {
	       $("spanSignUp").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入报名人数！";
	       $("spanSignUp").style.color="#000000";
	       return false;
	    }
	    else if(!reg.test($("txtSignUp").value))
		{
		   $("spanSignUp").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;只能输入非负整数！";
	       $("spanSignUp").style.color="#000000";
		   return false;
		}
	    else
	    {
	        $("spanSignUp").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
	        return true;
	    }
    }
    function onAddress()
    {
        if($("txtAddress").value=="")
	    {
	       $("spanAddress").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入所在地区！";
	       $("spanAddress").style.color="#000000";
	       return false;
	    }
	    else
	    {
	        $("spanAddress").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
	        return true;
	    }
    }
    
    function onContent()
    {
        if($("txtContent").value=="")
	    {
	       $("spanContent").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入联系附言！";
	       $("spanContent").style.color="#000000";
	       return false;
	    }
	    else
	    {
	        $("spanContent").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
	        return true;
	    }
    }
    
    function VaSendGroupBuySign()
    {
           if(!onName()) return false;
	       if(!onTel()) return false;
	       if(!onQQ()) return false;
	       if(!onSignUp()) return false;       
	       if(!onAddress()) return false;
	       if(!onContent()) return false;
	       return true;
     }
     </script>   
</head>
<body>
    {#YXShopDefinTag*网站头部#}
  <form name="form1" id="form1" action="{#YXShopRivetTag*网站虚拟路径#}filehandle/onlinesignup_form.ashx" method="post" onSubmit="return VaSendGroupBuySign()">
  <div id="gift" style="height:auto;">
    <ul class="pro-pl">
		<li>&nbsp;&nbsp;当前位置：<a href="{#YXShopRivetTag*网站虚拟路径#}Default.aspx">首页</a> >> 申请加入团购 </li>
	</ul>
    <div id="gift-cen" style=" height:auto">
		<div id="gift-cen-cen" style="height:auto">
          <ul class="form1">
            <li class="form2">
                <span style="color:#FF0000;">*</span>
                真实姓名：<input id="hdSendGroupBuyID" name="hdSendGroupBuyID" type="hidden" value="[#ActivityId]" />
                <input id="hdProductID" name="hdProductID" type="hidden" value="[#ProductID]" />
            </li>
            <li class="form3"><input name="txtName" type="text" onBlur="onName()"></input></li>
            <li class="form4"><span id="spanName" class="re_right">请输入真实姓名真实姓名必须</span></li>
            </ul>
             <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>性别：</li>
            <li class="form3"><input type="radio" name="radSex" id="radSex" value="1" /><span for="man">男</span>
    <input type="radio" name="radSex" id="radSex" value="0" /><span for="women">女</span>
    <input type="radio" name="radSex" id="radSex" checked="checked" value="2" /><span for="dont">保密</span></li>
            <li class="form4"><span id="re_truename" class="re_right">请输入真实姓名真实姓名</span></li>
            </ul>
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>联系电话：</li>
            <li class="form3"><input name="txtTel" type="text" onBlur="onTel()"></input></li>
            <li class="form4"><span id="spanTel" class="re_right">请输入真实姓名真实姓名</span></li>
            </ul>
            </ul>
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>QQ/MSN：</li>
            <li class="form3"><input name="txtQQ" type="text"  onblur="noQQ()"></input></li>
            <li class="form4"><span id="spanQQ" class="re_right">请输入QQ号码,至少5位数字...</span></li>
            </ul>
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>参加人数：</li>
            <li class="form3"><input name="txtSignUp" type="text" onBlur="onSignUp()"></input></li>
            <li class="form4"><span id="spanSignUp" class="re_right">请输入参加人数</span></li>
            </ul>
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>所在地区：</li>
            <li class="form3"><input name="txtAddress" type="text" onBlur="onAddress()"></input></li>
            <li class="form4"><span id="spanAddress" class="re_right">请输入参加人数</span></li>
            </ul>
            <ul class="form1">
            <li class="form2"><span style="color:#FF0000;">*</span>简短附言：</li>
            <li class="form3">
              <textarea name="txtContent" onBlur="onContent()"></textarea>
            </li>
            <li class="form4"><span id="spanContent"></span></li>
            </ul>
             <ul class="form1" style="border:none; text-align:center;">
                <li style="width:100%; text-align:center"><input type="submit" value="保存" ></li>
            </ul>
        </div>
    </div>
    </div>
        </form>
           <br />
                                                       <div id="copyright">
    <ul>
        {#YXShopDefinTag*易想资讯#}
    </ul>
</div> 
                                                        {#YXShopRivetTag*网站底部#}
</body>
</html>
